%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		lightsoff
Version:	46.0
Release:	%mkrel 1
Summary:	GNOME Lightsoff game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Lightsoff
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	appstream-util
# For help
Requires:	yelp

%description
A puzzle played on an 5X5 grid with the aim to turn off all the lights. Each
click on a tile toggles the state of the clicked tile and its non-diagonal
neighbors.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.LightsOff.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.LightsOff.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.LightsOff*.*
%{_datadir}/dbus-1/services/org.gnome.LightsOff.service
%{_mandir}/man6/lightsoff.6*
%{_datadir}/%{name}
%{_datadir}/metainfo/org.gnome.LightsOff.appdata.xml


%changelog
* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050334
- new version 46.0

* Sun Apr 03 2022 umeabot <umeabot> 40.0.1-2.mga9
+ Revision: 1842363
- Mageia 9 Mass Rebuild

* Wed Mar 24 2021 ovitters <ovitters> 40.0.1-1.mga9
+ Revision: 1709578
- new version 40.0.1

* Fri Sep 11 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1624464
- new version 3.38.0

* Wed Aug 12 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613714
- new version 3.37.90

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554717
- new version 3.36.0

* Wed Mar 04 2020 daviddavid <daviddavid> 3.35.90-1.mga8
+ Revision: 1553738
- new version 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531074
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439002
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436421
- new version 3.33.92

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392799
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374228
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372373
- new version 3.31.92

* Sun Sep 02 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256301
- new version 3.30.0

* Mon Jul 30 2018 ovitters <ovitters> 3.29.90-1.mga7
+ Revision: 1246154
- new version 3.29.90

* Tue Jun 19 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1237978
- new version 3.29.3
+ kekepower <kekepower>
- Use new make macros

* Tue Mar 13 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1209032
- fix filelist
+ ovitters <ovitters>
- new version 3.28.0
- new version 3.27.92
- new version 3.27.90

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153032
- new version 3.26.0

* Mon Aug 21 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1142696
- new version 3.25.90

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094009
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065744
- new version 3.22.2

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055263
- new version 3.22.0

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993925
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 990674
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961919
- new version 3.19.90

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925608
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910412
- new version 3.19.3

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883188
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879422
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871616
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-2.mga6
+ Revision: 865713
- bump rel because of bs
- new version 3.17.90

* Sun Jun 21 2015 ovitters <ovitters> 3.17.1-1.mga6
+ Revision: 838512
- new version 3.17.1

* Tue Feb 17 2015 wally <wally> 3.14.1-3.mga5
+ Revision: 815344
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 747764
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738441
- new version 3.14.1

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719245
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 681936
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676941
- new version 3.13.92

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670809
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665300
- new version 3.13.90

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655343
- new version 3.13.4

* Thu May 29 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 627590
- new version 3.13.1

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622280
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614227
- new version 3.12.1

* Sun Mar 23 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 606996
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604652
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599038
- new version 3.11.91

* Mon Feb 17 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 593862
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 583039
- new version 3.11.5

* Wed Feb 05 2014 dams <dams> 3.11.2-1.mga5
+ Revision: 582975
- new version 3.11.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550185
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542379
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497480
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484353
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480502
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468744
- new version 3.9.90
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.0-1.mga4
+ Revision: 440942
- add %%Group
- imported package lightsoff

